ABBYY FineReader Tutorial

Quick Start

Simple letter

Single column document

Multilingual document

Book: Dual pages

Faxes

Complex magazine page

Newspaper page

PDF document

Simple table

Table without black separators

Complex table

Business cards

PowerPoint handouts

Code printouts

Document with decorative font

Document with product codes
Samples
Tips

Welcome

ABBYY FineReader provides a step-by-step tutorial helps you learn how to input a document and how to use the product. If you already have experience in using FineReader, you may find additional features in this version that help you increase the recognition quality from the Tips section below.
Quick Start
Samples
  • Simple letter
  • Single column document
  • Multilingual document
  • Book: Dual pages
  • Faxes
  • Complex magazine page
  • Newspaper page
  • PDF document
  • Simple table
  • Table without black separators
  • Complex table
  • Business cards
  • PowerPoint handouts
  • Code printouts
  • Document with decorative font
  • Document with product codes
Tips
Quick Start

How to Input a Document Less than in a Minute
  1. Turn on the scanner if it has a separate power source to your PC.

    Note: Many scanner models have to be turned on before you turn on the computer.

  2. Place the page you want read onto the scanner.
  3. Click the arrow to the right of the Scan&Read button. Select the Scan&Read Wizard item in the local menu.
    The Scan&Read Wizard is a special Scan&Read/Open&Read mode during which you are guided through each step of the scanning process. You can use a sample image file is contained in the Demo folder, which, in turn, is located in the folder containing FineReader.

  4. Follow the Scan&Read Wizard instructions.

    The document input process is made up of four steps: scanning, reading, spellcheck and saving the recognized text. Once scanning is complete, a "photograph" of the source page will appear in the Image window. The application then asks you to set the recognition parameters. Once this has been done, it starts recognizing the image, analyzing its layout at the same time. Image areas already recognized are highlighted in blue. Recognized text is displayed in the Text window, where it can be checked and edited. Once you have checked the document, the Scan&Read Wizard will prompt you to either send the recognized text to the application of your choice, save it to file, or go on processing more images.

office@abbyy.com
© 2003 ABBYY Software Ltd.


Tips

Tips

  • Scanning settings

    Use 300 dpi resolution for regular texts (font size 10pts. or greater) and 400-600 dpi resolution for texts set in smaller font sizes (9pts. or less). Scanning in grayscale mode is best for recognition purposes. If you scan your images in grayscale, brightness is adjusted automatically. If you wish to see the Scanner Settings dialog in Use FineReader interface mode, select the Display options dialog before scanning item on the Scan/Open Image tab (Tools>Options).

  • Open Image Files or ABBYY FineReader Batches Directly from Windows Explorer

    Right-click the image file or the FineReader batch you wish to open and select Open with FineReader in the local menu.

  • Page Layout Analysis

    Page layout analysis can be carried out both automatically and manually. In most cases, FineReader manages the complex task of page layout analysis by itself. Start automatic analysis by clicking on the 2-Read button. Recognition and layout analysis are performed simultaneously.
    If the application has drawn some blocks incorrectly, it is often faster to edit the incorrect blocks using the block editing tools than to delete the blocks and draw them manually again.
    In some cases automatic layout analysis quality may be improved by altering the page layout analysis options. To view the current layout analysis options: Recognition tab, Tools>Options menu.

  • Using Block Templates

    If you are processing a large number of documents with an identical layout, you can create a block template (lmage> Save Blocks menu) (i.e. a standard "set" of blocks that conforms to the layout of your document) and apply this template to all pages with the same layout you wish to recognize (lmage>Load Blocks menu).

  • Improve the Recognition Quality of Double Page Images

    To increase recognition quality, split scanned images so that a batch page is created for each page of a double page image. Images can be split both automatically and manually. To split images automatically, before you add them to the batch check Split dual pages on the Scan/Open Image tab.
    To split images manually, select the Split image item in the Image menu. Deskewing, layout analysis and recognition will then be performed separately for each page.

  • Recognition Speed

    The recognition speed depends on different parameters: processor speed, size of RAM, type of image, etc.
     On multiprocessor machines, you can increase the recognition speed of large batches by turning on the "Background recognition" mode (Corporate Edition only).

  • Advanced Search in Recognized Documents

    You can search through all the recognized pages for words in all of their grammatical forms. The search pattern can be one or several words. To do this, select Advanced search in the Edit menu or press ALT+F3.

  • Characteres are Displayed Incorrectly

    If the FineReader Text window does not display characters correctly (i.e. "?" or "□" can be seen in place of some or all of the letters), this means that your current font does not support your recognition language alphabet in full. Select a font that supports your entire recognition set (for example, Arial Unicode or Bitstream Cyberbit) on the Formatting tab (Tools>Options menu) in the Fonts group, and recognize the document again.

  • Editing the Recognized Text in Microsoft Word

    If you prefer editing the recognized text in Microsoft Word rather than in the FineReader text window, you may still have uncertain characters highlighted. Select the With background color and/or the With text color items on the RTF/DOC/Word XML tab in the Highlight uncertain characters group. The saved file will have all the uncertain characters highlighted with the color you've set.

  • Reducing Document Size

    If the recognized document contains many pictures, you can reduce the size of the document when saving in RTF, DOC, Word XML, PDF, HTML, or PPT formats: reduce the resolution of the images or increase the JPEG compression settings on the corresponding tabs in Tools>Formats Settings.

  • Saving batch settings

    To save batch settings in a file, click the Save button on the General tab (Tools>Options menu). A Save Batch Template As dialog will open. Enter the file name. The following settings will be saved: the Recognition, Scan/Open Image, Formatting, and Check Spelling tab settings, as well as all Formats Settings dialog tab settings. User languages, user language groups and user patterns will also be saved in this file.

  • User Languages and Language Groups

    In addition to the built-in languages and language groups, you may also create a new language or make up a new language group (from languages supported by FineReader) and use it for recognition.

  • Customize ABBYY FineReader Toolbars

    You can add/remove the buttons that provide access to any command of the application to/from the Standard, Image and Formatting toolbars in the Customize dialog (Tools>Customize menu).


Samples

Working with different types of documents
This chapter provides practical guidance to help improve the recognition results when using ABBYY FineReader. It provides tips on how to prevent common scanning and recognition problems or mistakes, such as scanning errors, incorrect scanning/recornition parameters, etc. The tutorial also provides tips on how to scan and recognize certain types of complicated documents such as tables, magazine articles, etc. A “troubleshooting” guide that helps identify possible reasons for errors or low accuracy and demonstrates how to avoid them. In addition, the tutorial provides basic instruction on how and when to use some of FineReader’s more advanced tools to improve recognition accuracy.

For basic options of FineReader, we suggest that you consult the User’s Guide and Online Help first.

Document types:

  1. Simple letter (small font size and/or incorrect brightness)
  2. Single column document
  3. Multilingual document
  4. Book: dual pages
  5. Faxes and other documents of poor quality
  6. Complex magazine page
  7. Newspaper page
  8. PDF document
  9. Working with tables
    • Simple table
    • Table without (or missing) black separators
    • Complex table
  10. Working with business cards
  11. Working with PowerPoint handouts
  12. Code printouts (a document formatted with spaces)
  13. Document with decorative font (training new characters)
  14. Document with product codes (new recognition language; importing user's dictionaries)
Where I can find the images mentioned in the Tutorial?


Working with Business Cards

(Cards.tif)

Nowadays business cards are a common and wide-spread thing. You will probably get them from business partners and also from friends and acquaintances. It is very convenient as all the information about one person is concentrated on a small piece of paper, but how do you keep them?

We offer you a simple and convenient way of inputting and storing your business cards in the computer - a FineReader way. All the business cards are processed and stored in a FineReader batch. You may use the information available via full-text search to find the necessary business card really fast (you may search for any information put on a business card - the name of the company, the last name, the phone number, ect.). The list of business cards found will be displayed in the Search window. Select the business card you want in the search result list to open and read it.
You may add new business cards to the batch or edit the already recognized ones in the Text window.

  1. Put business cards into the scanner (as many as you like).

    Attention! The business cards must be arranged so as to form a "table structure". Allow some distance between rows and columns. You may orient the cards either horizontally (the longer sides of cards are arranged horizontally in this case) or vertically, but not these two modes together.

    Set the following scanning parameters:

    • resolution - 400-600 dpi (to recognize small fonts on business cards successfully it's necessary to scan them in a resolution higher than the default 300 dpi setting).
    • scan mode - grayscale or color.

  2. Click the 1-Scan button.

  3. In order to increase the recognition quality you should split the scanned images in such a way as to have a batch page created for each separate business card. The deskewing, layout analysis and recognition will be performed for each card separately in this case.
    To do all this, select the Split image item in the Image menu. The Split image dialog will open. Click the [image] in the dialog and then click ОК. New pages will be created in the Batch window: each page will contain an image of a single business card. The source image (the one that contained many business cards) will be removed from the batch.

    Note: If the image was split into business cards incorrectly, you may try to split the image manually: use the [image] and [image]. buttons. In order to move or delete a separator click the Select separator button ( [image]) and move the separator where you want it to be. To delete a separator just move it outside the image border. To delete all separators, click the [image] button.

  4. Set the recognition language. If necessary, select several recognition languages. But remember, increasing the number of the recognition languages used simultaneously may have a negative effect on the recognition quality. The reasonable number of languages to be used simultaneously is 2-3. Check the fonts selected on the Formatting tab before you read your documents: these fonts must contain all the characters of the recognition languages you select, otherwise the recognized text will be displayed incorrectly (there will be "?" or "□" symbols instead of letters).

    Click the 2-Read button.


Complex Table

Situation description: incorrect analysis of tables with irregular complex structure: incorrect division into columns and rows, pictures are not included in separate pictures blocks, bad recognition of vertical and inverted text.

(TableDif.tif)

Solution: To edit the table manually use the following Image toolbar tools to edit the table:

- Add vertical separator;

- Add horizontal separator;

- Remove separator.

If a table cell only contains a picture, select the Treat cell as a Picture item in the Block Properties dialog (menu View>Properties).

If a table cell contains both text and pictures, then draw a separate picture block (or blocks) inside the cell using the [image] tool from the Image Tools toolbar.

For cells with vertical text select the text direction in the Text orientation list in the Properties dialog (menu View>Properties); for inverted text select the Inverted item in this dialog.


Book: Dual Pages

Situation description: two pages are scanned simultaneously in one scanning session; too many errors during recognition because each page has a different tilt; this document is saved as one page with two columns.

Book: duall pages

(DualPage.tif)

For good recognition the image should have the so-called standard orientation: the text should be read top-down and the lines should be horizontal. During recognition FineReader detects the page orientation automatically by default. Images of dual pages have no standard orientation because each page has its own skew.

Solution: There is a special mode in FineReader where an image with dual pages is split into two different batch pages. This allows you to process each page separately. To correct the skew of each page during recognition automatically and to save the recognized text from each page into a separate file or on a separate page do the following:

  • Select the Split dual pages item on the Scan/Open Image tab in the Options dialog before adding (scanning or opening) such images to the batch.

You can also split dual pages by using the Split image item in the Image menu. For more information, please see Working with business cards.


Faxes and Other Documents of Poor Quality

Situation description: poor print quality of the document (too much "dust" on the image, blurred letters, jagged letters, skewed lines, displaced or faint table separators, etc.).

(Fax.tif)

 Solution: To improve the quality of recognition of such documents, try scanning them in grayscale mode - the program will determine the required level of brightness automatically.

If your document has a very complex layout, we recommend drawing the blocks manually or adjusting the blocks drawn automatically by the program.


Code Printouts (plain text formatted with spaces)

Situation description: this example has two peculiar features which greatly influence the recognition quality:

  • all left indents are not saved as spaces but by specifying the value of paragraph indents; left indents are not saved in the TXT format; some lines are merged into one paragraph, this paragraph is saved in the TXT format as one text line;
  • too many errors during the recognition of programming language structures.

(listing.tif)

Solution:

  1. FineReader has a special option for the correct recognition of such documents: Plain text formatted with spaces. It indicates that the text is formatted in one column and set in monospaced font of a same size. In the recognized text left indents will be represented as spaces; every line is made a separate paragraph and the original paragraphs will be separated by empty lines. All this helps to retain the original text formatting when saving in TXT format. To set this option:

    • Select the Plain text formatted with spaces item on the Recognition tab of the Options dialog (Tools>Options menu) in the Document type group.
  2. For good recognition of code printouts it is necessary to set a special recognition language. To do this:
    • Select the Choose more languages item in the language list on the Standard toolbar and in the opened Recognition language dialog select the C++ item.

    Note: If code printouts contain some additional text comments, select two recognition languages to read the document correctly: the programming language and the language of text comments.


Where I can find the images mentioned in the Tutorial?

You can find all the images of the document types described in this Tutorial in the Tutorial folder on the ABBYY FineReader CD-ROM.

To create a new batch and add demo images to it, do the following:

  1. Select the New Batch item in the File menu.
  2. To add images to the batch, select the Open Image item in the File menu or press CTRL+O. Select the image(s) you want to open in the Open Image dialog. Press CTRL+A to select all the images. FineReader will then add the images to the open batch and copy them to the batch folder.
  3. To save the new batch, select the Save Batch As... item in the File menu. In the dialog that opens, provide a name for the new batch and specify where it should be stored.


Complex Magazine Page

Situation description: automatic layout analysis drew blocks incorrectly.

(Magazin.tif)

Solution: Since the automatic layout analysis drew the blocks incorrectly (i.e. extra text blocks were drawn) you need to edit blocks manually. To do this, use the following tools from the Image Tools toolbar:
  • - to delete extra text blocks from the picture area;
  • and [image] - to draw blocks of an irregular shape;
  • and [image] - to draw text or picture blocks.

Note: After editing the text blocks check if the block borders coincide with the text borders.

To find out more about drawing the blocks manually see "Drawing and editing blocks manually" section.


Multilingual Document

Situation description: one page contains words in more than one recognition languages

(Manylang.tif)

Choose several recognition languages to recognize this document. To do this:
  • Select the Select multiple languages item in the language list on the Standard toolbar and in the opened Recognition Language dialog choose English, French and German.

Note:

  • Increasing the number of recognition languages used simultaneously may have a negative effect on the recognition quality. The reasonable number of languages to use simultaneously is 2-3.


Document with Product Codes (creating a new language)

Situation description: too many errors in recognition of product codes

Document with article codea

(NewLang.tif)

When reading a document the program uses special knowledge about the recognition language. It uses the language dictionary (to check the correctness of words), its morphology model and some rules about text arrangement. If a document contains a lot of "unnatural" structures such as product codes a lot of recognition errors may occur. This happens because the program reads such structures letter by letter and does not use any additional information about their structure.

Solution: To improve the recognition of product codes we need to create a new recognition language for this document.

To create a new recognition language:

  1. Select the Language Editor item in the Tools menu.
  2. Click the New button and in the opened dialog select Create a New language based on existing one, then select a source language for the new one.
  3. The Simple Language properties dialog will open.

Set the following parameters for a new language (all parameters can be set in the Simple Language Properties dialog):

  1. The new language name - Codes.
  2. The basic alphabet to be used by your new language. This parameter is set in the Alphabet field. If necessary, edit the alphabet by clicking the [image] button.

    The created language should contain only .0123456789BDFGLRW characters.

  3. The dictionary to be used by the system (both for recognition purposes and checking the spelling).

    Here create the dictionary based on a regular expression. To do this:

    • Select the Regular expression item in the Dictionary group and enter the following expression: DRG|(B[0-9][0-9]|22.5)|(L[0-9])|(F[0-9][0-9][0-9])|(W([0-9]+))

    To find out more about regular expressions see "Regular expression" section.

Then set the recognition language. Select English for the whole document (select it from the languages list on the Standard toolbar) and the new language - Codes - for the column with the product codes.

To set a new created language for a particular table column:

  1. Select the column and right-click it. Select the Properties item in the displayed local menu.
  2. Select the necessary language from the Recognition languages list and the Selected cells in the Apply to group on the Block tab in the Properties dialog.


Newspaper Page

Situation description: poor recognition quality caused by the paper of the publication (yellow, small fibers, etc.) or incorrectly drawn blocks.

(Newspaper.tif)

To improve the recognition quality of newspaper pages, we recommend scanning them in grayscale mode - the program will determine the required level of brightness automatically. In grayscale mode, more information about characters is retained, which makes for better recognition of medium and poor quality documents.

Newspaper pages usually contain multicolumn text with pictures. Sometimes sections of the text may be printed over a picture, which may cause the program to draw blocks incorrectly. For more information on how to adjust incorrectly drawn blocks, please see Complex Magazine Page.


PDF Document

(PDF.pdf)

 PDF (Portable Document Format) is one of the most popular document formats on the Internet, in electronic archives, etc.

FineReader can open, recognize, and save PDF documents either in one of the four save modes (text and pictures only, page image only, text over the page image, text under the page image) or in any other supported format.

To specify a saving mode for PDF:

  1. Select the Formats Settings item in the Tools menu.
  2. Select the required mode on the PDF tab of the Formats Settings dialog.

PDF is often used for publishing documents on the Internet or sending them by e-mail, where download speed is crucial. PDF documents created by FineReader meet this requirement. The structure of created PDF files will allow users to view the first pages before the entire document has been downloaded.


Working with PowerPoint Handouts

(HandOuts.tif)

Microsoft PowerPoint is one of the most popular tools for creating presentations. A presentation consists of a number of slides containing visual representations of the content material. Slides are often printed out and handed out to the audience.

You may wish to convert your printed copy of the presentation into electronic form. One page will typically contain form three to six slides printed in very small font, which may have an adverse effect on recognition.

To improve the recognition quality of PowerPoint printouts:

  1. If the slides are printed in very small font, scan the document at 400 -600 dpi instead of the usual 300 dpi.
  2. Split the scanned image so that a separate batch page corresponds to each slide. To do all this, select the Split image item in the Image menu. The Split image dialog will open. Click the [image] in the dialog and then click ОК. New pages will be created in the Batch window: each page will contain an image of a single slide. The source image will be removed from the batch. For more information on how to split an image into several batch pages, please see Working with Business Cards.
  3. Now you can process each slide separately just like any other document (automatic mode is also available).

Once all the handouts have been scanned and processed, you can recognize, edit, and save them in any supported format, including PowerPoint.


Simple Letter

Samples

Simple Letter (small font size and/or incorrect scanning brightness)

Situation description: documents with simple layouts usually do not require any additional scanning and recognition settings. Additional settings may be needed if:

  • the font size is too small;
  • incorrect scanning brightness has been selected.
Simple Letter (incorrect scanning parameters)

(Font_300.tif)

  1. Small font

    To recognize small fonts in a document successfully you need to scan it with a high resolution i.e. 400-600 dpi (instead of the default value of 300 dpi).

    This document was scanned twice with different resolution values. Compare the results by viewing the acquired images in the Zoom window with the Pixel-to-pixel scale, menu View>Zoom Window Scale:

    300 dpi (Font_300.tif ) 600 dpi (Font_600.tif )
  2. Incorrect scanning brightness

    The "Increase scanning brightness to make image lighter" message appears during recognition of Font_300.tif . This message appears because the wrong brightness value was set.

    The scanned image has to be legible. In our example the image has a lot of defects - surplus dots and "glued" letters (view the image in the Zoom window)

    - this is a view of Font_300.tif in the Zoom window.
    - an example of a successfully recognized image

    To find out more about setting the brightness paraemter please see "Tips on brightness tuning" section.

Solution: First, increase the resolution value up to 600 dpi. Then, increase the brightness value (making the image lighter) or scan it in the grayscale mode (brightness autotuning is used in this case). Open and read Font_600.tif to view the difference made by using the suggested solution.


Simple Table

(Table.tif)

 If the image is scanned with the correct scanning parameters and the structure of the table is simple (i.e. it has the necessary number of black separators, it contains neither pictures no inverted or vertical text), then it's not necessary to set any special options for recognition.


Single Column Document

Situation description: practically any line is marked as a separate block; every block is saved in a separate frame block in Microsoft Word (the Retain full page layout mode is selected).

Single column document

(Column.tif)

This problem is due to the fact that the application treats text zones which are widely spaced as a multicolumn text and divides them into separate text blocks.

Solution: FineReader has a special option to recognize such documents correctly: Single column. This indicates that it is a single column document. To set this option:

  • Select the Single column item in the Document type group on the Recognition tab (menu Tools>Options).


Table without Black Separators

Situation description: all text inside black horizontal lines (separators) is placed in one table row.

Table without black separators

(TableSep.tif)

If there is a mixed division into rows and columns in the table and not all the table rows are separated with black lines, then application may detect the table structure incorrectly.

Solution: You can "force" the application to mark each text row as a separate table row. To do this:

  • Select the One line of text per cell item in the Table group on the Recognition tab in the Options dialog (menu Tools>Options).


Document with Decorative Font

Situation description: too many errors during recognition.

Document with decorative font

(Training.tif)

FineReader can successfully read texts set in practically any standard font (with such texts the application is nearly insensitive to printing quality) but it is not meant for recognising of texts set in decorative fonts such as: FuturisShadowC, PragmaticaShadowC, CyrillicGoth etc.

Solution: There is a special recognition mode to increase the recognition quality of this document: Recognition with training. This process of training a pattern is: first, recognize a page or two in the special training mode. The training result is a pattern. Then FineReader will use this pattern to help to recognize the rest of the text. The created pattern is only useful for recognising texts printed in the same font, in the same size and scanned in the same resolution as the document you trained your pattern on.

  1. Draw blocks.(menu Process>Analyze page layout or click the [image] button on the Image Tool toolbar).
  2. Start the Train user pattern mode - click the Train user pattern on the Recognition tab, menu Tools>Options, in the Training group. The default pattern name ("Default") will be displayed in the status line.
  3. Set the recognition language (English).
  4. Click the 2-Read button.
  5. Train your pattern - recognize a page or two in the Train user pattern mode.
    Trained characters are saved in the default pattern. After you have finished training the pattern, FineReader saves the created pattern (Default.ptn) in the current batch folder.
  6. Edit your pattern.
  7. Turn off the train mode (click the Use user pattern item on the Recognition tab).